package me.paradoxpixel.themepark.placeholder;

import me.paradoxpixel.themepark.ThemeParkPlugin;
import me.paradoxpixel.themepark.api.API;
import me.paradoxpixel.themepark.api.attraction.component.Status;
import me.paradoxpixel.themepark.attraction.status.StatusManager;
import me.paradoxpixel.themepark.utils.Utils;
import org.bukkit.entity.Player;
import me.clip.placeholderapi.external.EZPlaceholderHook;

public class ThemeParkPlaceholder extends EZPlaceholderHook {

    public ThemeParkPlaceholder(ThemeParkPlugin plugin) {
        super(plugin, "tp");
    }

    @Override
    public String onPlaceholderRequest(Player player, String identifier) {
       if(identifier == null)
           return null;

       if(identifier.startsWith("status")) {
           String[] args = identifier.split(":");
           if(args.length < 2)
               return null;

           String id = args[1];
           if(!API.isAttraction(id))
               return null;

           Status status = API.getAttraction(id).getStatus();
           return Utils.color(StatusManager.getName(status));
       }

        if(identifier.startsWith("name")) {
            String[] args = identifier.split(":");
            if(args.length < 2)
                return null;

            String id = args[1];
            if(!API.isAttraction(id))
                return null;

            String name = API.getAttraction(id).getName();
            return Utils.color(name);
        }

        return null;
    }

}